Subject: [Accord] Cross-layer Cooperation for Encrypted Traffic

From: Natasha Rooney <[email-masked]>
Date: Tue, 29 Mar 2016 09:27:47 +0000

Hi all,

You may be interested to read this "Cross-layer Cooperation for Encrypted Traffic" draft which was submitted to TSVWG this week.

https://datatracker.ietf.org/doc/draft-chen-tsvwg-crosslayer-cooperation/

Thanks!

Natasha

Natasha Rooney | Technologist, Web and Internet, W3C & IETF | GSMA | [email-masked] | +44 (0) 7730 219 765 | @thisNatasha | Skype: [email-masked]

A new version of I-D, draft-chen-tsvwg-crosslayer-cooperation-00.txt

has been successfully submitted by Hao Chen and posted to the IETF repository.

Name:               draft-chen-tsvwg-crosslayer-cooperation

Revision:  00

Title:                  Cross-layer Cooperation for Encrypted Traffic

Document date:       2016-03-20

Group:               Individual Submission

Pages:               7

URL:            https://www.ietf.org/internet-drafts/draft-chen-tsvwg-crosslayer-cooperation-00.txt

Status:         https://datatracker.ietf.org/doc/draft-chen-tsvwg-crosslayer-cooperation/

Htmlized:       https://tools.ietf.org/html/draft-chen-tsvwg-crosslayer-cooperation-00

Abstract:

  This memo mainly considers the requirement and feasibility of cross-

  layer design in the encrypted traffic scenario.

  By permitting the interaction between the encrypted application layer

  and non-encrypted transport/network layer, the network layer may

  schedule service flow more properly and the application layer may

  know the network status information well, which actually optimize the

  network bandwidth.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://mailarchive.ietf.org/arch/browse/tsvwg/attachments/20160327/231492e7/attachment.html>

------------------------------

Message: 2
Date: Sat, 26 Mar 2016 20:30:02 -0800
From: Melinda Shore <[email-masked]>
To: [email-masked]
Subject: Re: [tsvwg] FW: New Version Notification for
draft-chen-tsvwg-crosslayer-cooperation-00.txt
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=utf-8; format=flowed

This draft addresses an extremely interesting problem without
giving sufficient detail to understand exactly what's being
proposed.  For example, it's not clear whether you're proposing
protocol modification (replicating header data in adjacent layers)
or an implementation modification.  If it's an implementation
modification, then you'll be able to avoid developing new headers
for the entire protocol stack (ahem) but you won't be able to
do much about middleboxes which perform any kind of traffic
inspection.  I can't even tell if what you're proposing involves
key sharing (please don't) or exposing encrypted information
(please don't).

As an aside, I'm always sorry when a document that proposes something
with profound implications for security and privacy has an empty
security considerations section.

Anyway, as I wrote earlier I really cannot tell from the draft what's
actually being proposed.  I have a strong bias towards solving this
sort of problem with explicit signaling, which is something that's
come up quite a bit in the past (and in the present, with PCP).  It's
a good problem to work on but would benefit from a much greater
level of detail in the discussion.

Melinda

End of tsvwg Digest, Vol 143, Issue 35
**************************************

This email and its attachments are intended for the above named only and may be confidential. If they have come to you in error you must take no action based on them, nor must you copy or show them to anyone; please reply to this email or call +44 207 356 0600 and highlight the error.